
#include "..\..\00_HeaderFiles\01_BaseClasses\CCharacterBase.h"

#include "..\..\00_HeaderFiles\00_ManagementClasses\CImageManager.h"
#include "..\..\00_HeaderFiles\03_OtherClasses\CAllKeysState.h"
#include "..\..\00_HeaderFiles\00_ManagementClasses\CMapCellManager.h"



CCharacterBase::CCharacterBase( void )
{
	m_iGetterX = 0;
	m_iGetterY = 0;
}

CCharacterBase::~CCharacterBase( void )
{
}

inline int CCharacterBase::GetterX( void ) const
{
	return m_iGetterX;
}

inline int CCharacterBase::GetterY( void ) const
{
	return m_iGetterY;
}

void CCharacterBase::DrawBase( CImageManager* arg_pinImageManager,
                               int arg_iX,
                               int arg_iY,
                               CImageManager::EImageID arg_eImageID )
{
	// x座標0〜179はメニュー画面なので、右にずらす
	arg_pinImageManager->Draw( 
	                        arg_iX + ( CMapCellManager::BEGIN_COLUMN ),
	                        arg_iY,
	                        arg_eImageID
	                      );
	
}

